[arch-commits] Commit in cmake/trunk (cmake.install)

Andrea Scarpino andrea at archlinux.org
Tue Jul 26 13:58:13 EDT 2011


    Date: Tuesday, July 26, 2011 @ 13:58:13
  Author: andrea
Revision: 133015

Do not print 'error scriptlet' when update-desktop-database is missing

Modified:
  cmake/trunk/cmake.install

---------------+
 cmake.install |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: cmake.install
===================================================================
--- cmake.install	2011-07-26 17:56:08 UTC (rev 133014)
+++ cmake.install	2011-07-26 17:58:13 UTC (rev 133015)
@@ -1,6 +1,6 @@
 post_install() {
 	update-mime-database usr/share/mime &> /dev/null
-    [ -x usr/bin/update-desktop-database ] && update-desktop-database -q
+    [[ -x usr/bin/update-desktop-database ]] && update-desktop-database -q || true
 }
 
 post_upgrade() {



More information about the arch-commits mailing list